Package com.ads.api.beans.common

# Enum Class APIConstants.LineageType

java.lang.Object
java.lang.Enum<APIConstants.LineageType>
com.ads.api.beans.common.APIConstants.LineageType

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.LineageType>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.LineageType extends Enum<APIConstants.LineageType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DUAL`
  DUAL - Refers to dual lineage.
  `FORWARD`
  FORWARD - Refers to forward lineage.
  `REVERSE`
  REVERSE - Refers to reverse lineage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.LineageType`
  `getLineageType(String value)`
  `static APIConstants.LineageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.LineageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORWARD

    public static final APIConstants.LineageType FORWARD
    FORWARD - Refers to forward lineage.

  - ### REVERSE

    public static final APIConstants.LineageType REVERSE
    REVERSE - Refers to reverse lineage.

  - ### DUAL

    public static final APIConstants.LineageType DUAL
    DUAL - Refers to dual lineage.

- ## Method Details

  - ### values

    public static APIConstants.LineageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.LineageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getLineageType

    public static APIConstants.LineageType getLineageType(String value)
    Parameters:
      `value` -
    Returns: